Subject: Re: [PATCH] Makefile: update the default build options for AIX

From: Johannes Sixt <[email-masked]>
Date: Fri, 16 May 2008 15:37:11 +0200

Mike Ralphson schrieb:
> 2008/5/7 Johannes Sixt <[email-masked]>:
>> Mike Ralphson schrieb:
>>> NO_MKDTEMP is required to build, FREAD_READS_DIRECTORIES and the definition
>>> of _LARGE_FILES fix test suite failures and INTERNAL_QSORT is required for
>>> adequate performance.
>> I'm trying this patch on AIX 4.3.3 (sigh!) with gcc3...
> 
> Now the interaction between FREAD_READS_DIRECTORIES and _LARGE_FILES
> has been sorted out, and the
> wt-status.h warning fix is also in, did you manage to finish testing
> this? The INTERNAL_QSORT gave me a 2 orders of magnitude speed up on
> git status / commit etc.
> 
> I should have mentioned that I build with SHELL_PATH = /bin/bash and
> ensure that /usr/linux/bin (or /opt/freeware/bin) from the AIX toolbox
> is prepended to the PATH to run the test-suite. I didn't want to fold
> these into the patch as the paths are somewhat environment specific.

I compiled git on AIX 4.3.3.  Even though the testsuite does not pass (due
to a too old perl, non-working libiconv, and a sed that does not print the
last line if there's no LF at the end), there's no failure that I would
attribute to your changes. Therefore, I'd say:

Tested-by: Johannes Sixt <[email-masked]>

-- Hannes